# List experiment runs of a fault in a project

List experiment runs of a fault in a project

Endpoint: GET /gateway/chaos/manager/api/rest/faults/{identity}/experimentruns
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `experimentType` (string)
    Enum: "cronexperiment", "experiment", "experiment_v2"

  - `isEnterprise` (boolean)
    if this fault is enterprise fault or not

  - `limit` (integer)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `page` (integer)

  - `projectIdentifier` (string)
    project id to access the resource

  - `search` (string)
    name that you want to search

  - `sortAscending` (boolean)
    if sort order ascending or not

  - `sortField` (string)
    field  name that you want to sort
    Enum: "name", "lastUpdated", "experimentName"

## Path parameters:

  - `identity` (string, required)
    identity of the fault

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `data` (array)

  - `data.accountID` (string, required)

  - `data.completed` (boolean)

  - `data.createdAt` (integer)

  - `data.createdBy` (object)

  - `data.createdBy.email` (string)

  - `data.createdBy.userID` (string)

  - `data.createdBy.username` (string)

  - `data.experimentID` (string)

  - `data.experimentName` (string)

  - `data.experimentRunID` (string)

  - `data.faultIDs` (array)

  - `data.infraID` (string)

  - `data.notifyID` (string)

  - `data.orgID` (string)

  - `data.phase` (string)

  - `data.projectID` (string)

  - `data.resiliencyScore` (number)

  - `data.runSequence` (integer)

  - `data.targetedServices` (array)

  - `data.targetedServices.id` (string)

  - `data.targetedServices.name` (string)

  - `data.targetedServices.namespace` (string)

  - `data.targetedServices.uid` (string)

  - `data.updatedAt` (integer)

  - `data.updatedBy` (object)

  - `pagination` (object)

  - `pagination.index` (integer)

  - `pagination.limit` (integer)

  - `pagination.totalItems` (integer)

  - `pagination.totalPages` (integer)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


